Bug 835094 - SELinux is preventing run rsyslogd correctly - system hangs during startup and remote login is not possible
SELinux is preventing run rsyslogd correctly - system hangs during startup an...
Status: CLOSED DUPLICATE of bug 838148
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rsyslog (Show other bugs)
6.3
i686 Linux
unspecified Severity high
: rc
: 6.3
Assigned To: Tomas Heinrich
BaseOS QE Security Team
:
Depends On:
Blocks: 782183
  Show dependency treegraph
 
Reported: 2012-06-25 10:19 EDT by Lukas L
Modified: 2016-09-20 00:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-30 10:43:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas L 2012-06-25 10:19:33 EDT
Description of problem:
After upgrade from 6.2 to 6.3 system didn't start correctly. Boot process freezed at postfix service and ssh login freezed when user name was submited.
Problem is probably caused by rsyslog daemon and selinux.
After disabling postfix in single mode system started up but ssh even console login was freezed after user name submiting.

dmesg shows:

type=1400 audit(1340617777.529:5): avc: denied { setsched } for pid=1103 comm="rsyslogd" scontext=system_u:system_r:syslogd_t:s0 tcontext=system_u:system_r:syslogd_t:s0 tclass=process

Version-Release number of selected component (if applicable):
----
Name : selinux-policy Relocations: (not relocatable)
 Version : 3.7.19 Vendor: Red Hat, Inc.
 Release : 155.el6_3 Build Date: Mon 18 Jun 2012 04:05:36 PM CEST
 Install Date: Mon 25 Jun 2012 08:37:47 AM CEST Build Host: x86-003.build.bos.redhat.com
----
Name : rsyslog Relocations: (not relocatable)
 Version : 5.8.10 Vendor: Red Hat, Inc.
 Release : 2.el6 Build Date: Thu 17 May 2012 04:34:29 PM CEST
 Install Date: Mon 25 Jun 2012 08:39:19 AM CEST Build Host: x86-012.build.bos.redhat.com
 Group : System Environment/Daemons Source RPM: rsyslog-5.8.10-2.el6.src.rpm
----

Actual results:
System is running currently with selinux in permissive mode without problem.
Comment 3 Tomas Heinrich 2012-07-30 10:43:36 EDT

*** This bug has been marked as a duplicate of bug 838148 ***

Note You need to log in before you can comment on or make changes to this bug.